Skip to main content
GET
Send SMS message over query parameters

Authorizations

Authorization
string
header
default:App
required

This is the most secure authorization type and the one with the most flexibility.

API keys can be generated by calling the dedicated API method. Furthermore, API keys can have a limited scope and cover only some API methods. Lastly, they can be revoked at any time. This range of possibilities makes API keys well suited for separating the API access rights across multiple applications or use cases. Finally, the loss of an API key is easily manageable.

You can manage your API keys from GUI, or programmatically with dedicated API.

API key Authorization header example:

Query Parameters

username
string
required

Username for authentication.

password
string
required

Password for authentication.

bulkId
string

Unique ID assigned to the request if messaging multiple recipients or sending multiple messages via a single API request. Anything above 100 characters passed in the request will be clipped during processing and returned in response, reports and logs.

from
string

The sender ID which can be alphanumeric or numeric (e.g., CompanyName).

to
string[]
required

List of message recipients.

text
string

Content of the message being sent.

flash
boolean

Sends a flash SMS if set to true.

transliteration
string

Conversion of a message text from one script to another.

languageCode
string

Code for language character set of a message content.

intermediateReport
boolean

Use a real-time intermediate delivery report that will be sent on your callback server.

notifyUrl
string

The URL on your call back server on to which a delivery report will be sent.

notifyContentType
string

Preferred delivery report content type, application/json or application/xml.

callbackData
string

Additional data that can be used for identifying, managing, or monitoring a message. Data included here will also be automatically included in the message Delivery Report. The maximum value is 4000 characters.

Maximum string length: 4000
validityPeriod
integer<int64>

The message validity period in minutes. When the period expires, it will not be allowed for the message to be sent. Validity period longer than 48h is not supported. Any bigger value will automatically default back to 2880.

sendAt
string<date-time>

Date and time when the message is to be sent. Used for scheduled SMS. Has the following format: yyyy-MM-dd'T'HH:mm:ss.SSSZ. Must be sooner than 180 days from now.

track
string

Sets the conversion element to be tracked. Possible values: SMS and URL. For more details on SMS Conversion, see: Track Conversion.

processKey
string

The process key which uniquely identifies conversion tracking.

trackingType
string

Sets a custom conversion type naming convention, e.g. ONE_TIME_PIN, SOCIAL_INVITES, etc.

indiaDltContentTemplateId
string

The ID of your registered DLT (Distributed Ledger Technology) content template.

indiaDltPrincipalEntityId
string

Your DLT (Distributed Ledger Technology) entity id.

indiaDltTelemarketerId
string

Your assigned Telemarketer ID. (required for Aggregators)

turkeyIysBrandCode
integer<int32>

Brand code is an ID of the company based on a company VAT number. If not provided in request, default value is used from your Phonovation account.

turkeyIysRecipientType
string

Recipient Type must be TACIR or BIREYSEL

southKoreaResellerCode
integer<int32>

Reseller identification code: 9-digit registration number in the business registration certificate for South Korea. Resellers should submit this when sending.

Response

Successful response

bulkId
string
read-only

The ID that uniquely identifies the request. Bulk ID will be received only when a message is sent to more than one destination address.

messages
SMSResponseDetails · object[]
read-only

Array of sent message objects, one object per every message.